# QVM: Quaternions, Vectors, Matrices

### cross

#include <boost/qvm/vec_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_vec<B>::value &&
            //  vec_traits<A>::dim==3 && vec_traits<B>::dim==3
            template <class A,class B>
            typename deduce_vec2<A,B,3>::type
            cross( A const & a, B const & b );
        }
    }

#### Returns:

The cross product of the vectors a and b.

See also: boost/qvm/vec_operations.hpp